using System.Windows.Forms;

namespace _9_4
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
        }

        private void Form1_KeyDown(object sender, KeyEventArgs e)
        {
            if (e.Alt == true && e.KeyCode == Keys.F4)
            {
                DialogResult dr;
                dr = MessageBox.Show("آیا می‌خواهید از برنامه خارج شوید؟", "خروج",
                     MessageBoxButtons.YesNo,
                     MessageBoxIcon.Question,
                     MessageBoxDefaultButton.Button1,
                     MessageBoxOptions.RightAlign);

                if (dr == DialogResult.Yes)
                    Application.Exit();
                else
                    e.Handled = true;
            }
        }

        private void Form1_Load(object sender, System.EventArgs e)
        {
            this.KeyPreview = true;
        }
    }
}